summaryrefslogtreecommitdiff
path: root/tests/misc/sort-unique
diff options
context:
space:
mode:
authorPaul R. Eggert <eggert@cs.ucla.edu>2010-07-15 18:13:08 -0700
committerPaul Eggert <eggert@cs.ucla.edu>2010-07-15 18:13:55 -0700
commit78e6fb04890aae3937ba3a00d1e0cdd3bca1770e (patch)
treea440bf953eebcda5d1844f3ebc33108ef19d31a8 /tests/misc/sort-unique
parentc580983f70cbc567e68ad2fbadca92341646b018 (diff)
downloadcoreutils-78e6fb04890aae3937ba3a00d1e0cdd3bca1770e.tar.xz
sort: add a test case for the sort -u bug
* tests/Makefile.am (TESTS): Add misc/sort-unique. * tests/misc/sort-unique: New file.
Diffstat (limited to 'tests/misc/sort-unique')
-rwxr-xr-xtests/misc/sort-unique46
1 files changed, 46 insertions, 0 deletions
diff --git a/tests/misc/sort-unique b/tests/misc/sort-unique
new file mode 100755
index 000000000..e186d348a
--- /dev/null
+++ b/tests/misc/sort-unique
@@ -0,0 +1,46 @@
+#!/bin/sh
+# Test 'sort -u'.
+
+# Copyright (C) 2010 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ sort --version
+fi
+
+. $srcdir/test-lib.sh
+
+cat > in <<\EOF
+1
+2
+1
+3
+EOF
+
+cat > exp <<\EOF
+1
+2
+3
+EOF
+
+for LOC in C "$LOCALE_FR" "$LOCALE_FR_UTF8"; do
+ test -z "$LOC" && continue
+
+ LC_ALL=$LOC sort -u in > out || { fail=1; break; }
+ compare exp out || { fail=1; break; }
+done
+
+Exit $fail